{************************************************************************
*									*
*  JUMP -- JUMP_ON_VAX.PAS						*
*									*
*  JUMP_ON_VAX contains mostly dummy declarations when compiling	*
*  JUMP on OpenVMS VAX. 						*
*									*
*************************************************************************
*  Author and Maintainer: Jonathan Ridler.				*
*									*
*  This software is owned and maintained privately by the author,	*
*  Jonathan Ridler. It is NOT in any way produced, owned, supported,	*
*  maintained or endorsed by Hewlett Packard Pty Ltd or any of its	*
*  legal entities.							*
*									*
*  Email: vmsjump@internode.on.net					*
*************************************************************************
*************************************************************************
***								      ***
***			    LICENCE NOTICE			      ***
***								      ***
***  This software is COPYRIGHT (c) 1993-2022 Jonathan Ridler.	      ***
***  ALL RIGHTS RESERVED.					      ***
***								      ***
***  Please READ the file JUMP_LICENCE.TXT which contains the	      ***
***  complete Licence and all conditions of use for JUMP.	      ***
***								      ***
***  NOTE: By using JUMP or any part of the JUMP distribution for     ***
***        any purpose, you are agreeing to all conditions of the     ***
***        JUMP licence.                                              ***
***                                                                   ***
*************************************************************************
*************************************************************************
*									*
*  History:								*
*	25-Sep-2001	JER	Original version for JUMP V4.0. 	*
*	01-Feb-2012	JER	Renamed module; updated code for VAX.	*
*	03-Feb-2012	JER	JUMP V6.1; Support for VAX.		*
*	21-Feb-2012	JER	JUMP V6.1a; added build level ident.	*
************************************************************************}

[INHERIT ('SYS$LIBRARY:STARLET',
	  'SYS$LIBRARY:PASCAL$LIB_ROUTINES')]

MODULE Jump_On_Vax ;

TYPE

$UWORD = [WORD] 0..65535 ;

VAR

{************************************************************************
 ****  INCREMENT the BUILD LEVEL every time the module is changed!!  ****
 ************************************************************************}

Vax_Bl : [GLOBAL] VARYING [12] OF CHAR := 'X1.005' ;

{ These next two definitions come from SYS$LIBRARY:LIB.MLB. }

Iss__C_Arb_Full   : [GLOBAL] UNSIGNED := 3 ;	  { = ISS$C_ARB_FULL }
Syi___Arb_Support : [GLOBAL] UNSIGNED := 4545 ;   { = SYI$_ARB_SUPPORT }

{ These next five definitions are never used when it's VAX, so their
  values can be anything. ZERO is the obvious choice. }

PCB$AR_NATURAL_PSB ,
PSB$L_UIC ,
PSB$T_USERNAME ,
CCB$L_CHAN ,
CTL$GA_CCB_TABLE : [GLOBAL] UNSIGNED := 0 ;

Vmsauth_Flag ,
Extauth_Flag : [GLOBAL] BOOLEAN := FALSE ;


[ASYNCHRONOUS,EXTERNAL(SYS$SETDDIR)] FUNCTION $SETDDIR (
	Newdiraddr : [CLASS_S] PACKED ARRAY [$L1..$U1:INTEGER] OF
			CHAR := %IMMED 0;
	VAR Lengthaddr : [VOLATILE] $UWORD := %IMMED 0;
	VAR Curdiraddr : [CLASS_S,VOLATILE] PACKED ARRAY [$L3..$U3:INTEGER]
			OF CHAR := %IMMED 0) : INTEGER; EXTERNAL;


[GLOBAL] PROCEDURE Set_Default_Dir (Def_Dir : VARYING [Len] OF CHAR) ;

  { Simply set a new default directory. VAX STARLET does not have the
    definition of $SETDDIR so pull it out from the main program and do
    it here. }

  VAR	Rst : UNSIGNED := 0 ;

  BEGIN
  Rst := $SETDDIR (SUBSTR (Def_Dir.BODY,1,Def_Dir.LENGTH)) ;
  IF NOT ODD (Rst)  THEN  LIB$SIGNAL (Rst) ;
  END ;


[GLOBAL] PROCEDURE Check_Extauth_Flags (Flags : FLAGS$TYPE) ;

  BEGIN

  { Just a dummy routine -- the default values in the declarations above
    are all that's needed. }

  END ;

END.
